apply plugin: 'com.android.application'
apply plugin: 'io.fabric'

repositories {
    maven { url 'https://maven.fabric.io/public' }
}

android {
    compileSdkVersion 27
    buildToolsVersion '27.0.3'
    defaultConfig {
        applicationId "ch.pizzapp.capri"
        minSdkVersion 16
        targetSdkVersion 27
        versionCode 9  // play store'daki version --> canlı : 8 dahili test: 6
        versionName "2.11"   // play store'daki version : 2.1
        testInstrumentationRunner "android.support.test.runner.AndroidJUnitRunner"
    }
    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
    }
}

dependencies {
    implementation fileTree(dir: 'libs', include: ['*.jar'])
    implementation 'com.android.support.constraint:constraint-layout:1.1.2'
    androidTestImplementation('com.android.support.test.espresso:espresso-core:2.2.2', {
        exclude group: 'com.android.support', module: 'support-annotations'
    })

    implementation "com.android.support:support-compat:27.1.1"
    implementation 'com.android.support:appcompat-v7:27.1.1'
    implementation 'com.android.support:design:27.1.1'
    implementation 'com.android.support:support-v13:27.1.1'
    implementation 'com.android.support:recyclerview-v7:27.1.1'
    implementation 'com.android.support:cardview-v7:27.1.1'

    implementation 'com.google.android.gms:play-services-base:15.0.1'
    implementation 'com.google.android.gms:play-services-location:15.0.1'
    implementation 'com.google.android.gms:play-services-wallet:15.0.1'

    implementation 'com.squareup.retrofit2:retrofit:2.3.0'
    implementation 'com.squareup.retrofit2:converter-gson:2.3.0'
    implementation 'com.squareup.picasso:picasso:2.5.2'
    implementation 'com.squareup.okhttp3:okhttp:3.9.1'
    implementation 'com.squareup.okhttp3:logging-interceptor:3.9.1'

    implementation 'com.jakewharton:butterknife:8.8.1'
    annotationProcessor 'com.jakewharton:butterknife-compiler:8.8.1'
    implementation 'com.jakewharton.picasso:picasso2-okhttp3-downloader:1.1.0'

    implementation 'com.github.AndroidDeveloperLB:DialogShard:3'
    implementation 'com.github.HITGIF:TextFieldBoxes:1.3.3'
    implementation 'com.github.ittianyu:BottomNavigationViewEx:1.2.4'
    implementation 'com.github.bumptech.glide:glide:4.5.0'
    implementation 'com.github.badoualy:stepper-indicator:1.0.7'
    implementation 'io.github.luizgrp.sectionedrecyclerviewadapter:sectionedrecyclerviewadapter:1.1.3'

    implementation 'com.afollestad.material-dialogs:core:0.9.6.0'
    implementation 'uk.co.chrisjenx:calligraphy:2.3.0'
    implementation 'com.wdullaer:materialdatetimepicker:3.1.1'
    implementation 'io.nlopez.smartlocation:library:3.3.3'
    implementation 'q.rorbin:badgeview:1.1.0'
    implementation 'com.braintreepayments.api:braintree:2.13.1'
    implementation('com.braintreepayments.api:drop-in:3.1.0') {
        exclude group: 'com.braintreepayments.api', module: 'braintree'
    }
    implementation('com.crashlytics.sdk.android:crashlytics:2.9.4@aar') {
        transitive = true;
    }

    testImplementation 'junit:junit:4.12'
}
